﻿using System;
using System.Collections.Generic;
using System.Text;
using OpenTK;

namespace OpenTKTest
{
    public static class Utils
    {
        public static Vector2d AddRadians(this Vector2d vect, double Radians)
        {
            return Vector2dFromAngle(vect.Radians() + Radians, vect.Length);
        }

        public static double Radians(this Vector2d vect)
        {
            return Math.Atan2(vect.Y, vect.X);
        }

        public static Vector2d Vector2dFromAngle(double radians, double length)
        {
            double x, y;
            x = length * Math.Cos(radians);
            y = length * Math.Sin(radians);
            return new Vector2d(x, y);
        }

        public static double ToRadians(double Degrees)
        {
            return Degrees * (Math.PI / 180);
        }

        public static double ToDegrees(double Radians)
        {
            return Radians * (180 / Math.PI);
        }
    }
}
